Last Comment Bug 739840 - Make nsDOMEventTarget subclasses inherit from nsDOMEventTargetHelper first
: Make nsDOMEventTarget subclasses inherit from nsDOMEventTargetHelper first
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla14
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 17:17 PDT by Kyle Huey [:khuey] (khuey@mozilla.com)
Modified: 2012-03-29 08:49 PDT (History)
5 users (show)
mounir: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (2.86 KB, patch)
2012-03-28 09:44 PDT, Mounir Lamouri (:mounir)
bugs: review+
mounir: checkin+
Details | Diff | Review

Description Kyle Huey [:khuey] (khuey@mozilla.com) 2012-03-27 17:17:34 PDT
Its very confusing to see things that inherit from nsDOMEventTargetHelper second or third and wonder about why that is safe.
Comment 1 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2012-03-27 21:36:51 PDT
What does not inherit from *Helper first ?
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-03-27 21:54:20 PDT
BluetoothDevice, BluetoothAdapter, SMSManager, SMSRequest
Comment 3 Mounir Lamouri (:mounir) 2012-03-28 09:44:09 PDT
Created attachment 610171 [details] [diff] [review]
Patch
Comment 4 Mounir Lamouri (:mounir) 2012-03-28 10:31:08 PDT
Oups, I didn't realize you did the review Olli. I just pushed the patch to inbound with r=khuey...
Comment 5 Marco Bonardo [::mak] 2012-03-29 08:49:14 PDT
https://hg.mozilla.org/mozilla-central/rev/7b18a4980189

Note You need to log in before you can comment on or make changes to this bug.